//	Microworks ObjectMate 2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks (Jeff Franks) Sydney, Australia.
//
//  SCHECK.CPP 

#include <owl\owlpch.h>
#include <sfx\sfx200.h>
#include <owl\groupbox.h>
#include "sfx\scheck.h"

IMPLEMENT_STREAMABLE_FROM_BASE(TSFXCheckBox, TCheckBox);

//	constructor for a TSFXCheckBox object

TSFXCheckBox::TSFXCheckBox(TWindow*        parent,
                       int             id,
                       const char far* title,
                       int x, int y, int w, int h,
                       TGroupBox*      group,
                       TModule*        module)
	:TCheckBox(parent, id, title, x, y, w, h, group, module)
{
}

//	constructor for a TSFXCheckBox resource object

TSFXCheckBox::TSFXCheckBox(TWindow*   parent,
                       int        resourceId,
                       TGroupBox* group,
                       TModule*   module)
	:TCheckBox(parent, resourceId, group, module)
{
}

char far*
TSFXCheckBox::GetClassName()
{
	return "SFXCHECK";
}

